require "./Maps/globals.lua"



function NPC_Load( THIS_NPC )

	TTX_SetNpcName(THIS_NPC, "Chicken");

	TTX_SetNpcTriad(THIS_NPC, false);

	TTX_SetNpcTalk(THIS_NPC, false);	

	TTX_SetNpcSprite(THIS_NPC, "Chicken.png");

	TTX_SetNpcDirection(THIS_NPC, math.random(ND_LEFT, ND_DOWN));

	

	if (TTX_GetBool("GOTCHICKEN14") == true) then

		TTX_PositionNpc(THIS_NPC, 48, 28);

	else

		TTX_PositionNpc(THIS_NPC, 28, 8);

	end

	

	return 0;

end



function NPC_InteractionBegin( THIS_NPC )

	TTX_EnableNpcInteractionMenu(THIS_NPC, false);

	TTX_ClearNpcIntroText(THIS_NPC);	

	if (TTX_GetInt("CHICKEN_QUEST") == 1) then

		TTX_SetNpcName(THIS_NPC, "");	

		TTX_AddNpcIntroLine(THIS_NPC, "You found and returned a chicken!");

		

		TTX_SetInt("FOUND_CHICKENS", TTX_GetInt("FOUND_CHICKENS") + 1);

	else

		TTX_SetNpcName(THIS_NPC, "Chicken");

		TTX_AddNpcIntroLine(THIS_NPC, "Cluck?");

	end

	return 0;

end



function NPC_InteractionEnd( THIS_NPC )

	if (TTX_GetInt("CHICKEN_QUEST") == 1) then

		TTX_SetBool("GOTCHICKEN14", true);

		TTX_PositionNpc(THIS_NPC, 48, 28);

	end

	return 0

end


