require "./Maps/globals.lua"



function NPC_Load( THIS_NPC )

	TTX_SetNpcName(THIS_NPC, "Chicken Lady");

	TTX_SetNpcTriad(THIS_NPC, false);

	TTX_SetNpcTalk(THIS_NPC, false);

	TTX_PositionNpc(THIS_NPC, 45, 29);

	TTX_SetNpcSprite(THIS_NPC, "LL Guide.png");

	TTX_SetNpcDirection(THIS_NPC, ND_DOWN);

	TTX_EnableNpcInteractionMenu(THIS_NPC, false);
	
	return 0;

end


function NPC_InteractionBegin( THIS_NPC )

	TTX_ClearNpcIntroText(THIS_NPC);	

	if (TTX_GetInt("CHICKEN_QUEST") == 1) then
		local chickens_left;
		
		chickens_left = 14 - TTX_GetInt("FOUND_CHICKENS");
		--place chickens here
		
		if (chickens_left == 0) then
			TTX_AddNpcIntroLine(THIS_NPC, "Oh! \3");
			TTX_AddNpcIntroLine(THIS_NPC, "My darling chickens are all home safely!  Oh thankyou so much~");
			TTX_AddNpcIntroLine(THIS_NPC, "Please, it's not much but accept these small tokens of my gratitude.");
			
			TTX_SetInt("CHICKEN_QUEST", 2);
		else
			TTX_AddNpcIntroLine(THIS_NPC, string.format("You have %d more chickens to find, please hurry!", chickens_left));
		end	
	end
	
	
	if (TTX_GetInt("CHICKEN_QUEST") == UNSET_INT) then
		TTX_AddNpcIntroLine(THIS_NPC, "Oh my!  I can't belive it's happened again!");
		TTX_AddNpcIntroLine(THIS_NPC, "I thought after moving here from kak.. er, some place, that I could put this sort of thing behind me..");
		TTX_AddNpcIntroLine(THIS_NPC, "But no.. i've lost my chickens!  AGAIN!  Please, help me find them!  I would be so greatful \3");
		

		TTX_SetInt("CHICKEN_QUEST", 1);
		TTX_SetInt("FOUND_CHICKENS", 0);		
	end	

	if (TTX_GetInt("CHICKEN_QUEST") == 3) then
		TTX_AddNpcIntroLine(THIS_NPC, "Thank you for returning my chickens to me! \3");
	end

	
	

	return 0;
end

function NPC_InteractionEnd( THIS_NPC )
	if (TTX_GetInt("CHICKEN_QUEST") == 2) then
		TTX_GivePlayerItem("Golden Chicken Feather", 1);
		TTX_GivePlayerCash(6000);		

		TTX_SetGlobalMessage("Received Golden Chicken Feather and 6000g!", 5000);
		TTX_SetInt("CHICKEN_QUEST", 3);
	end

	return 0
end


