require "./Maps/globals.lua"


function NPC_Load( THIS_NPC )

	TTX_SetNpcName(THIS_NPC, "Jessie");
	TTX_SetNpcTriad(THIS_NPC, false);
	TTX_SetNpcTalk(THIS_NPC, false);
	TTX_PositionNpc(THIS_NPC, 1, 9);
	TTX_SetNpcSprite(THIS_NPC, "BH Lady.png");
	TTX_SetNpcDirection(THIS_NPC, ND_RIGHT);

	return 0;

end

function NPC_InteractionBegin( THIS_NPC )
	TTX_ClearNpcIntroText(THIS_NPC);
	
	if (TTX_GetItemAmount("Triple Triad Gear") ~= 1) then
		TTX_AddNpcIntroLine(THIS_NPC, "Hmm..");
		TTX_AddNpcIntroLine(THIS_NPC, "You look like you might be a good oponent, but I see you don't have any Triple Triad Gear.");
		TTX_AddNpcIntroLine(THIS_NPC, "Come challenge me when you have some.");
		
		TTX_SetNpcTriad(THIS_NPC, false);
	else
		if (TTX_GetItemAmount("Jessie\'s Badge") == 1) then	
			TTX_AddNpcIntroLine(THIS_NPC, "I can't belive you beat me last time!  Come on, rematch?");

			TTX_SetNpcTriad(THIS_NPC, true);
			TTX_SetNpcTriadData(THIS_NPC, "FF8Original", RULE_ONE, 2, 4);
		else
			TTX_AddNpcIntroLine(THIS_NPC, "Hey, how about a game of Triple Triad?  You look worthy enough to me.");
			TTX_AddNpcIntroLine(THIS_NPC, "Beat me and I will give you my badge as proof.  What'ya say?");

			TTX_SetNpcTriadData(THIS_NPC, "FF8Original", RULE_ONE, 1, 4);
			TTX_SetNpcTriad(THIS_NPC, true);

		end
	end	
	
	return 0;
end

function NPC_InteractionEnd( THIS_NPC )

	if (TTX_GetItemAmount("Jessie\'s Badge") ~= 1) then			
		
		if (TTX_NpcLostTriad(THIS_NPC) == true) then
			TTX_GivePlayerItem("Jessie\'s Badge", 1);
			TTX_SetGlobalMessage("You Received \"Jessie\'s Badge\"!", 5000);
		end

	end

	return 0;
end


