require "./Maps/globals.lua"



function NPC_Load( THIS_NPC )

	TTX_SetNpcName(THIS_NPC, "Jerome");

	TTX_SetNpcTriad(THIS_NPC, false);

	TTX_SetNpcTalk(THIS_NPC, false);

	TTX_PositionNpc(THIS_NPC, 2, 8);

	TTX_SetNpcSprite(THIS_NPC, "GH Kid.png");

	TTX_SetNpcDirection(THIS_NPC, ND_RIGHT);

	TTX_EnableNpcInteractionMenu(THIS_NPC, false);
	
	return 0;

end


function NPC_InteractionBegin( THIS_NPC )

	TTX_ClearNpcIntroText(THIS_NPC);
	
	if (TTX_GetItemAmount("Triple Triad Gear") ~= 1) then
		TTX_AddNpcIntroLine(THIS_NPC, "Hey bro, here is your Triple Triad Gear!");
		TTX_AddNpcIntroLine(THIS_NPC, "Thanks for the loan, though i'm still no good at this game..");
		
		TTX_GivePlayerItem("Triple Triad Gear", 1);
		TTX_SetGlobalMessage("You Received \"Triple Triad Gear\"!", 5000);
	else
		TTX_AddNpcIntroLine(THIS_NPC, "Are you going to try and enter the big tournament being organized at the castle?");
		TTX_AddNpcIntroLine(THIS_NPC, "Wow, thats high level stuff man.  You sure you're good enough for it?");
	end
	
	return 0;
end

function NPC_InteractionEnd( THIS_NPC )
	
	return 0
end


